JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioProcessorGraph::NodeID Struct Reference
juce_audio_processors » processors

Each node in the graph has a UID of this type. More...

`#include <juce_AudioProcessorGraph.h>`

## Public Member Functions
| NodeID ()
| NodeID (uint32 i)
bool | operator== (const NodeID &other) const noexcept
bool | operator!= (const NodeID &other) const noexcept
bool | operator< (const NodeID &other) const noexcept

## Public Attributes
uint32 | uid = 0

## Detailed Description

Each node in the graph has a UID of this type.

## Constructor & Destructor Documentation

## ◆ NodeID() [1/2]

AudioProcessorGraph::NodeID::NodeID | ( |  | ) |

## ◆ NodeID() [2/2]

AudioProcessorGraph::NodeID::NodeID | ( | uint32 | i | ) |
| explicit

## Member Function Documentation

## ◆ operator==()

bool AudioProcessorGraph::NodeID::operator== | ( | const NodeID & | other | ) | const
| noexcept

## ◆ operator!=()

bool AudioProcessorGraph::NodeID::operator!= | ( | const NodeID & | other | ) | const
| noexcept

## ◆ operator<()

bool AudioProcessorGraph::NodeID::operator< | ( | const NodeID & | other | ) | const
| noexcept

## Member Data Documentation

## ◆ uid

uint32 AudioProcessorGraph::NodeID::uid = 0

The documentation for this struct was generated from the following file:

- juce_AudioProcessorGraph.h